LoadQueryInfluencers (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class LoadQueryInfluencers

    java.lang.Object
      org.hibernate.engine.spi.LoadQueryInfluencers

All Implemented Interfaces:
  Serializable

    public class LoadQueryInfluencers

extends Object
implements Serializable

Centralize all options which can influence the SQL query needed to load an entity. Currently such influencers are defined as:

- filters
- fetch profiles
- internal fetch profile (merge profile, etc)

See Also:
  Serialized Form

Field Summary
`static LoadQueryInfluencers` | `NONE` Static reference useful for cases where we are creating load SQL outside the context of any influencers.

Constructor Summary
`LoadQueryInfluencers()`
`LoadQueryInfluencers(SessionFactoryImplementor sessionFactory)`

Method Summary
`void` | `disableFetchProfile(String name)`
`void` | `disableFilter(String filterName)`
`void` | `enableFetchProfile(String name)`
`Filter` | `enableFilter(String filterName)`
`Set` | `getEnabledFetchProfileNames()`
`Filter` | `getEnabledFilter(String filterName)`
`Set<String>` | `getEnabledFilterNames()` Returns an unmodifiable Set of enabled filter names.
`Map<String,Filter>` | `getEnabledFilters()`
`Type` | `getFilterParameterType(String filterParameterName)`
`Object` | `getFilterParameterValue(String filterParameterName)`
`String` | `getInternalFetchProfile()`
`SessionFactoryImplementor` | `getSessionFactory()`
`boolean` | `hasEnabledFetchProfiles()`
`boolean` | `hasEnabledFilters()`
`boolean` | `isFetchProfileEnabled(String name)`
`static String[]` | `parseFilterParameterName(String filterParameterName)`
`void` | `setInternalFetchProfile(String internalFetchProfile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static LoadQueryInfluencers NONE

  Static reference useful for cases where we are creating load SQL outside the context of any influencers. One such example is anything created by the session factory.

Constructor Detail

### LoadQueryInfluencers

    public LoadQueryInfluencers()

### LoadQueryInfluencers

    public LoadQueryInfluencers(SessionFactoryImplementor sessionFactory)

Method Detail

### getSessionFactory

    public SessionFactoryImplementor getSessionFactory()

### getInternalFetchProfile

    public String getInternalFetchProfile()

### setInternalFetchProfile

    public void setInternalFetchProfile(String internalFetchProfile)

### hasEnabledFilters

    public boolean hasEnabledFilters()

### getEnabledFilters

    public Map<String,Filter> getEnabledFilters()

### getEnabledFilterNames

    public Set<String> getEnabledFilterNames()

  Returns an unmodifiable Set of enabled filter names.

  Returns:
    an unmodifiable Set of enabled filter names.

### getEnabledFilter

    public Filter getEnabledFilter(String filterName)

### enableFilter

    public Filter enableFilter(String filterName)

### disableFilter

    public void disableFilter(String filterName)

### getFilterParameterValue

    public Object getFilterParameterValue(String filterParameterName)

### getFilterParameterType

    public Type getFilterParameterType(String filterParameterName)

### parseFilterParameterName

    public static String[] parseFilterParameterName(String filterParameterName)

### hasEnabledFetchProfiles

    public boolean hasEnabledFetchProfiles()

### getEnabledFetchProfileNames

    public Set getEnabledFetchProfileNames()

### isFetchProfileEnabled

    public boolean isFetchProfileEnabled(String name)
                                  throws UnknownProfileException

  Throws:
    `UnknownProfileException`

### enableFetchProfile

    public void enableFetchProfile(String name)
                            throws UnknownProfileException

  Throws:
    `UnknownProfileException`

### disableFetchProfile

    public void disableFetchProfile(String name)
                             throws UnknownProfileException

  Throws:
    `UnknownProfileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.